<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
if (!iSUPERADMIN) fallback("../membersites.php");

if (!defined("LANGUAGE")) {
// PHPFusion environment
$this_lang =  str_replace("/", "", LOCALESET);
	if (file_exists(INFUSIONS."member_pages/locale/".$this_lang.".php")) {
	   include INFUSIONS."member_pages/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."member_pages/locale/English.php";
	}
        } else {
// mFusion environment
$this_lang =  LANGUAGE;
	if (file_exists(INFUSIONS."member_pages/locale/".$this_lang.".php")) {
	   include INFUSIONS."member_pages/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."member_pages/locale/English.php";
	}
}
echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">

<html>

<head>

<title>".$settings['sitename']."</title>

<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."'>

<meta name='description' content='".$settings['description']."'>

<meta name='keywords' content='".$settings['keywords']."'>

<link rel='stylesheet' href='".THEME."styles.css' type='text/css'>

<script type='text/javascript' src='".INCLUDES."jscript.js'></script>





<!-- tinyMCE -->

<script language=\"javascript\" type=\"text/javascript\" src='".BASEDIR."includes/jscripts/tiny_mce/tiny_mce.js'></script>

<script language=\"JavaScript\" type=\"text/javascript\">



function advanced() {

tinyMCE.init({

mode : 'exact',

elements :'body',

theme : 'advanced',

width: '100%',

language: 'en',



entities : '60,lt,62,gt',

document_base_url: 'http://$_SERVER[HTTP_HOST]/',

relative_urls: 'false',

force_p_newlines: 'false',

force_br_newlines: 'true',

plugins : 'table,advhr,advimage,advlink,emotions,insertdatetime,searchreplace,contextmenu',
theme_advanced_buttons1_add : 'fontselect,fontsizeselect',

theme_advanced_buttons2_add : 'separator,insertdate,inserttime,separator,forecolor,backcolor',

theme_advanced_buttons3_add_before : 'tablecontrols,separator',

theme_advanced_buttons3_add : 'emotions,advhr',
theme_advanced_toolbar_location : 'bottom',

theme_advanced_toolbar_align : 'center',

theme_advanced_path_location : 'bottom',


external_image_list_url : '".BASEDIR."billedliste.js',

plugin_insertdate_dateFormat : '%d-%m-%Y',

plugin_insertdate_timeFormat : '%H:%M:%S',

invalid_elements: 'script,object,applet,iframe',

extended_valid_elements : 'a[name|href|target|title|onclick],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style]'

	});

}



function simple() {

tinyMCE.init({

language: 'en',

force_p_newlines: 'false',

mode : 'none',

theme: 'simple'

})

}



function slaatil(EditorID) {

tinyMCE.removeMCEControl(tinyMCE.getEditorId(EditorID));

tinyMCE.addMCEControl(document.getElementById(EditorID),EditorID);

}



function slaafra(EditorID) {

tinyMCE.removeMCEControl(tinyMCE.getEditorId(EditorID));

}



function insertHTML(html) {
    tinyMCE.execInstanceCommand('mce_editor_0','mceInsertContent',false,html);
}



function iLister() {

filen='http://'+location.host+'/fusion/billedliste.php';

window.open( filen, 'myWindow',

'height = 200, width = 300, resizable = 1' )

}



</script>



<!-- /tinyMCE -->";
if (!iMEMBER) fallback("../getwiththeprogram.php");
if (isset($news_id) && !isNum($news_id)) fallback(FUSION_SELF);

if (isset($_POST['save'])) {
	$blog = stripinput($_POST['safe']);
	$subject = stripinput($_POST['subject']);
	$body = addslash($_POST['body']);
	if ($_POST['body2']) $body2 = addslash($_POST['body2']);
	$start_date = 0; $end_date = 0;
	if ($_POST['news_start']['mday']!="" && $_POST['news_start']['mon']!="" && $_POST['news_start']['year']!="") {
		$start_date = mktime($_POST['news_start']['hours'],$_POST['news_start']['minutes'],0,$_POST['news_start']['mon'],$_POST['news_start']['mday'],$_POST['news_start']['year']);
	}
	if ($_POST['news_end']['mday']!="" && $_POST['news_end']['mon']!="" && $_POST['news_end']['year']!="") {
		$end_date = mktime($_POST['news_end']['hours'],$_POST['news_end']['minutes'],0,$_POST['news_end']['mon'],$_POST['news_end']['mday'],$_POST['news_end']['year']);
	}
	$news_visibility = isNum($_POST['news_visibility']) ? $_POST['news_visibility'] : "0";
	$breaks = isset($_POST['line_breaks']) ? "y" : "n";
	$comments = isset($_POST['news_comments']) ? "1" : "0";
	$ratings = isset($_POST['news_ratings']) ? "1" : "0";
	if (iADMIN) {
		$result = dbquery("UPDATE ".$db_prefix."memberpp_blog SET news_subject='$subject', news_news='$body', news_breaks='$breaks',".($start_date != 0 ? " news_datestamp='$start_date'," : "")." news_start='$start_date', news_end='$end_date', news_visibility='$news_visibility', news_allow_comments='$comments', news_allow_ratings='$ratings' WHERE news_id='$blog'");

		echo "<center><br>
".$locale['MPP401']."<br><br>
<a href='".INFUSIONS."member_pages/Administration/quickedit_blog.php?blog=$blog'>".$locale['MPP402']."</a><br><br>
<a href='".INFUSIONS."member_pages/membersites.php'>".$locale['MPP403']."</a><br><br>
</center>\n";
		closetable();
	} else {
		opentable($locale['MPP404']);
		echo "<center><br>
".$locale['MPP405']."<br><br>
<a href='".INFUSIONS."member_pages/Administration/quickedit_blog.php?blog=$blog'>".$locale['MPP402']."</a><br><br>
<a href='".INFUSIONS."member_pages/membersites.php'>".$locale['MPP403']."</a><br><br>
</center>\n";
		closetable();
	}
} else if (isset($_POST['delete'])) {
	$blog = stripinput($_POST['safe']);
	$result = dbquery("DELETE FROM ".$db_prefix."memberpp_blog WHERE news_id='$blog'");
	$result = dbquery("DELETE FROM ".$db_prefix."memberpp_blog_c WHERE comment_item_id='$news_id' and comment_type='N'");
	$result = dbquery("DELETE FROM ".$db_prefix."memberpp_blog_r WHERE rating_item_id='$news_id' and rating_type='N'");
	opentable($locale['MPP406']);
	echo "<center><br>
".$locale['MPP407']."<br><br>
<a href='".INFUSIONS."member_pages/membersites.php'>".$locale['MPP403']."</a><br><br>
</center>\n";
	closetable();
} else {
	if (isset($_POST['preview'])) {
	$blog = stripinput($_POST['safe']);
		$subject = stripinput($_POST['subject']);
		$body = phpentities(stripslash($_POST['body']));
		$bodypreview = str_replace("src='".str_replace("../", "", IMAGES_N), "src='".IMAGES_N, stripslash($_POST['body']));
		if ($_POST['body2']) {
			$body2 = phpentities(stripslash($_POST['body2']));
			$body2preview = str_replace("src='".str_replace("../", "", IMAGES_N), "src='".IMAGES_N, stripslash($_POST['body2']));
		}
		if (isset($_POST['line_breaks'])) {
			$breaks = " checked";
			$bodypreview = nl2br($bodypreview);
			if ($body2) $body2preview = nl2br($body2preview);
		} else {
			$breaks = "";
		}
		$comments = isset($_POST['news_comments']) ? " checked" : "";
		$ratings = isset($_POST['news_ratings']) ? " checked" : "";
		
		opentable($subject);
		echo "$bodypreview\n";
		closetable();
		if (isset($body2preview)) {
			tablebreak();
			opentable($subject);
			echo "$body2preview\n";
			closetable();
		}
		tablebreak();
	}




	if (isset($_POST['edit'])) {
		$result = dbquery("SELECT * FROM ".$db_prefix."memberpp_blog WHERE news_id='$news_id'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			$subject = $data['news_subject'];
			$body = phpentities(stripslashes($data['news_news']));
			$body2 = phpentities(stripslashes($data['news_extended']));
			if ($data['news_start']>0) $news_start = getdate($data['news_start']);
			if ($data['news_end']>0) $news_end = getdate($data['news_end']);
			$breaks = ($data['news_breaks'] == "y" ? " checked" : "");
			$comments = ($data['news_allow_comments'] == "1" ? " checked" : "");
			$ratings = ($data['news_allow_ratings'] == "1" ? " checked" : "");
			$news_visibility = $data['news_visibility'];
				
}
	}
	if (isset($news_id)) {
		$action = FUSION_SELF."?a_page=blog&news_id=$news_id";
		opentable($locale['MPP400']);
	} else {
		if (!isset($_POST['preview'])) {
			$subject = "";
			$body = "";
			$body2 = "";
			$breaks = " checked";
			$comments = " checked";
			$ratings = " checked";
			$news_visibility = 0;
		}
		$action = FUSION_SELF;
		opentable($locale['MPP404']);
	}
	$image_files = makefilelist(IMAGES_N, ".|..|index.php", true);
	$image_list = makefileopts($image_files);
	$visibility_opts = ""; $sel = "";
	$user_groups = getusergroups();
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($news_visibility == $user_group['0'] ? " selected" : "");
		$visibility_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}

	if (isset($blog)) {

		$result = dbquery("SELECT * FROM ".$db_prefix."memberpp_blog WHERE news_id='$blog'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			$subject = $data['news_subject'];
			$body = phpentities(stripslashes($data['news_news']));
			$body2 = phpentities(stripslashes($data['news_extended']));
			if ($data['news_start']>0) $news_start = getdate($data['news_start']);
			if ($data['news_end']>0) $news_end = getdate($data['news_end']);
			$breaks = ($data['news_breaks'] == "y" ? " checked" : "");
			$comments = ($data['news_allow_comments'] == "1" ? " checked" : "");
			$ratings = ($data['news_allow_ratings'] == "1" ? " checked" : "");
			$news_visibility = $data['news_visibility'];
				
}
	}

	echo "<form name='inputform' method='post' action='$action' onSubmit='return ValidateForm(this);'>
<table align='center' cellspacing='0' cellpadding='0'>
<tr>
<td width='100' class='tbl'>".$locale['MPP411']."</td>
<td width='80%' class='tbl'><input type='text' name='subject' value='$subject' class='textbox' style='width: 250px'></td>
</tr>
<tr>
<td valign='top' width='100' class='tbl'>".$locale['MPP412']."</td>
<td width='80%' class='tbl'><textarea name='body' cols='95' rows='25' class='textbox'>$body</textarea></td>
</tr>

<tr>
<td class='tbl'>".$locale['MPP414']."</td>
<td class='tbl'><select name='news_start[mday]' class='textbox'>\n<option> </option>\n";
	for ($i=1;$i<=31;$i++) echo "<option".($news_start['mday'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select>
<select name='news_start[mon]' class='textbox'>\n<option> </option>\n";
	for ($i=1;$i<=12;$i++) echo "<option".($news_start['mon'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select>
<select name='news_start[year]' class='textbox'>\n<option> </option>\n";
	for ($i=2004;$i<=2010;$i++) echo "<option".($news_start['year'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select> /
<select name='news_start[hours]' class='textbox'>\n<option> </option>\n";
	for ($i=0;$i<=24;$i++) echo "<option".($news_start['hours'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select> :
<select name='news_start[minutes]' class='textbox'>\n<option> </option>\n";
	for ($i=0;$i<=60;$i++) echo "<option".($news_start['minutes'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select> : 00 <span class='alt'>".$locale['MPP416']."</span></td>
</tr>
<tr>
<td class='tbl'>".$locale['MPP415']."</td>
<td class='tbl'><select name='news_end[mday]' class='textbox'>\n<option> </option>\n";
	for ($i=1;$i<=31;$i++) echo "<option".($news_end['mday'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select>
<select name='news_end[mon]' class='textbox'>\n<option> </option>\n";
	for ($i=1;$i<=12;$i++) echo "<option".($news_end['mon'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select>
<select name='news_end[year]' class='textbox'>\n<option> </option>\n";
	for ($i=2004;$i<=2010;$i++) echo "<option".($news_end['year'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select> /
<select name='news_end[hours]' class='textbox'>\n<option> </option>\n";
	for ($i=0;$i<=24;$i++) echo "<option".($news_end['hours'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select> :
<select name='news_end[minutes]' class='textbox'>\n<option> </option>\n";
	for ($i=0;$i<=60;$i++) echo "<option".($news_end['minutes'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select> : 00 <span class='alt'>".$locale['MPP416']."</span></td>
</tr>
<tr>
<td class='tbl'>".$locale['MPP422']."</td>
<td class='tbl'><select name='news_visibility' class='textbox'>
$visibility_opts</select></td>
</tr>
<tr>
<td class='tbl'></td><td class='tbl'>
<input type='checkbox' name='line_breaks' value='yes'$breaks> ".$locale['MPP417']."<br>
<input type='checkbox' name='news_comments' value='yes' onClick='SetRatings();'$comments> ".$locale['MPP423']."<br>
<input type='checkbox' name='news_ratings' value='yes'$ratings> ".$locale['MPP424']."<br>
<input type='hidden' name='safe' value='$blog' class='textbox' style='width: 250px'>
</td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'><br>


<input type='submit' name='preview' value='".$locale['MPP418']."' class='button'>
<input type='submit' name='save' value='".$locale['MPP419']."' class='button'>
<input type='submit' name='delete' value='".$locale['MPP217']."' class='button'></td>

</tr>
</table>
</form>\n";
	closetable();
	echo "<script language='JavaScript'>
function DeleteNews() {
	return confirm('".$locale['MPP551']."');
}
function ValidateForm(frm) {
	if(frm.subject.value=='') {
		alert('".$locale['MPP550']."');
		return false;
	}
}
function SetRatings() {
	if (inputform.news_comments.checked == false) {
		inputform.news_ratings.checked = false;
		inputform.news_ratings.disabled = true;
	} else {
		inputform.news_ratings.disabled = false;
	}
}
</script>\n";
}

echo "</td>\n";

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
<script language="JavaScript" type="text/javascript">

<!--

advanced();

//-->

</script>