<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
@require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
@$site_id = $userdata[user_id];
if (!iMEMBER) fallback("../getwiththeprogram.php");
//require_once INFUSIONS."member_pages/menu.php";

if (!defined("LANGUAGE")) {
// PHPFusion environment
$this_lang =  str_replace("/", "", LOCALESET);
	if (file_exists(INFUSIONS."member_pages/locale/".$this_lang.".php")) {
	   include INFUSIONS."member_pages/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."member_pages/locale/English.php";
	}
        } else {
// mFusion environment
$this_lang =  LANGUAGE;
	if (file_exists(INFUSIONS."member_pages/locale/".$this_lang.".php")) {
	   include INFUSIONS."member_pages/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."member_pages/locale/English.php";
	}
}

echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
<html>
<head>
<title>".$settings['sitename']."</title>
<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."'>
<meta name='description' content='".$settings['description']."'>
<meta name='keywords' content='".$settings['keywords']."'>
<link rel='stylesheet' href='".THEME."styles.css' type='text/css'>
<script type='text/javascript' src='".INCLUDES."jscript.js'></script>


<!-- tinyMCE -->
<script language=\"javascript\" type=\"text/javascript\" src='".BASEDIR."includes/jscripts/tiny_mce/tiny_mce.js'></script>
<script language=\"JavaScript\" type=\"text/javascript\">

function advanced() {
tinyMCE.init({
mode : 'exact',
elements :'body',
theme : 'advanced',
width: '100%',
language: 'en',

entities : '60,lt,62,gt',
document_base_url: 'http://$_SERVER[HTTP_HOST]/',
relative_urls: 'false',
force_p_newlines: 'false',
force_br_newlines: 'true',
plugins : 'table,advhr,advimage,advlink,emotions,insertdatetime,searchreplace,contextmenu',
theme_advanced_buttons1_add : 'fontselect,fontsizeselect',
theme_advanced_buttons2_add : 'separator,insertdate,inserttime,separator,forecolor,backcolor',
theme_advanced_buttons3_add_before : 'tablecontrols,separator',
theme_advanced_buttons3_add : 'emotions,advhr',
theme_advanced_toolbar_location : 'bottom',
theme_advanced_toolbar_align : 'center',
theme_advanced_path_location : 'bottom',
content_css: '".THEME."styles.css',
external_image_list_url : '".BASEDIR."billedliste.js',
plugin_insertdate_dateFormat : '%d-%m-%Y',
plugin_insertdate_timeFormat : '%H:%M:%S',
invalid_elements: 'script,object,applet,iframe',
extended_valid_elements : 'a[name|href|target|title|onclick],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style]'
	});
}

function simple() {
tinyMCE.init({
language: 'en',
force_p_newlines: 'false',
mode : 'none',
theme: 'simple'
})
}

function slaatil(EditorID) {
tinyMCE.removeMCEControl(tinyMCE.getEditorId(EditorID));
tinyMCE.addMCEControl(document.getElementById(EditorID),EditorID);
}

function slaafra(EditorID) {
tinyMCE.removeMCEControl(tinyMCE.getEditorId(EditorID));
}

function insertHTML(html) {
    tinyMCE.execInstanceCommand('mce_editor_0','mceInsertContent',false,html);
}


function iLister() {
filen='http://'+location.host+'/fusion/billedliste.php';
window.open( filen, 'myWindow',
'height = 200, width = 300, resizable = 1' )
}

</script>

<!-- /tinyMCE -->";

if (isset($news_id) && !isNum($news_id)) fallback(FUSION_SELF);

if (isset($_POST['save'])) {
	$subject = stripinput($_POST['subject']);
	$body = addslash($_POST['body']);
	if ($_POST['body2']) $body2 = addslash($_POST['body2']);
	$start_date = 0; $end_date = 0;
	if ($_POST['news_start']['mday']!="" && $_POST['news_start']['mon']!="" && $_POST['news_start']['year']!="") {
		$start_date = mktime($_POST['news_start']['hours'],$_POST['news_start']['minutes'],0,$_POST['news_start']['mon'],$_POST['news_start']['mday'],$_POST['news_start']['year']);
	}
	if ($_POST['news_end']['mday']!="" && $_POST['news_end']['mon']!="" && $_POST['news_end']['year']!="") {
		$end_date = mktime($_POST['news_end']['hours'],$_POST['news_end']['minutes'],0,$_POST['news_end']['mon'],$_POST['news_end']['mday'],$_POST['news_end']['year']);
	}
	$news_visibility = isNum($_POST['news_visibility']) ? $_POST['news_visibility'] : "0";
	$breaks = isset($_POST['line_breaks']) ? "y" : "n";
	$comments = isset($_POST['news_comments']) ? "1" : "0";
	$ratings = isset($_POST['news_ratings']) ? "1" : "0";
	if (isset($news_id)) {
		$result = dbquery("UPDATE ".$db_prefix."memberpp_blog SET news_subject='$subject', news_news='$body', news_breaks='$breaks',".($start_date != 0 ? " news_datestamp='$start_date'," : "")." news_start='$start_date', news_end='$end_date', news_visibility='$news_visibility', news_allow_comments='$comments', news_allow_ratings='$ratings' WHERE news_id='$news_id'");
		opentable($locale['MPP400']);
		echo "<center><br>
".$locale['MPP401']."<br><br>
<a href='".INFUSIONS."member_pages/blog/blogadmin.php'>".$locale['MPP402']."</a><br><br>
<a href='".INFUSIONS."member_pages/membersites.php'>".$locale['MPP403']."</a><br><br>
</center>\n";
		closetable();
	} else {
	$year = date("Y");
$month = date("m");
$day = date("j");	
	$result = dbquery("INSERT INTO ".$db_prefix."memberpp_blog VALUES('', '$subject', '$body', '$userdata[user_name]', '$breaks', '".$userdata['user_id']."', '".($start_date != 0 ? $start_date : time())."', '$start_date', '$end_date', '$news_visibility', '0', '$comments', '$ratings', '$year', '$month', '$day')");



		
opentable($locale['MPP404']);
		echo "<center><br>
".$locale['MPP405']."<br><br>
<a href='blogadmin.php'>".$locale['MPP402']."</a><br><br>
<a href='".INFUSIONS."member_pages/membersites.php'>".$locale['MPP403']."</a><br><br>
</center>\n";
		closetable();
	}
} else if (isset($_POST['delete'])) {
	$result = dbquery("DELETE FROM ".$db_prefix."memberpp_blog WHERE news_id='$news_id'");
	$result = dbquery("DELETE FROM ".$db_prefix."memberpp_blog_c WHERE comment_item_id='$news_id' and comment_type='N'");
	$result = dbquery("DELETE FROM ".$db_prefix."memberpp_blog_r WHERE rating_item_id='$news_id' and rating_type='N'");
	opentable($locale['MPP406']);
	echo "<center><br>
".$locale['MPP407']."<br><br>
<a href='blogadmin.php'>".$locale['MPP402']."</a><br><br>
<a href='".INFUSIONS."member_pages/membersites.php'>".$locale['MPP403']."</a><br><br>
</center>\n";
	closetable();
} else {
	if (isset($_POST['preview'])) {
		$subject = stripinput($_POST['subject']);
		$body = phpentities(stripslash($_POST['body']));
		$bodypreview = str_replace("src='".str_replace("../", "", IMAGES_N), "src='".IMAGES_N, stripslash($_POST['body']));
		if ($_POST['body2']) {
			$body2 = phpentities(stripslash($_POST['body2']));
			$body2preview = str_replace("src='".str_replace("../", "", IMAGES_N), "src='".IMAGES_N, stripslash($_POST['body2']));
		}
		if (isset($_POST['line_breaks'])) {
			$breaks = " checked";
			$bodypreview = nl2br($bodypreview);
			if ($body2) $body2preview = nl2br($body2preview);
		} else {
			$breaks = "";
		}
		$comments = isset($_POST['news_comments']) ? " checked" : "";
		$ratings = isset($_POST['news_ratings']) ? " checked" : "";
		
		opentable($subject);
		echo "$bodypreview\n";
		closetable();
		if (isset($body2preview)) {
			tablebreak();
			opentable($subject);
			echo "$body2preview\n";
			closetable();
		}
		tablebreak();
	}
	$editlist = ""; $sel = "";
	$result = dbquery("SELECT * FROM ".$db_prefix."memberpp_blog WHERE news_name='$userdata[user_id]' ORDER BY news_datestamp DESC");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			if (isset($news_id)) $sel = ($news_id == $data['news_id'] ? " selected" : "");
			$editlist .= "<option value='".$data['news_id']."'$sel>".$data['news_subject']."</option>\n";
		}
	}
	opentable($locale['MPP408']);
	echo "<form name='selectform' method='post' action='".FUSION_SELF."'>
<center>
<select name='news_id' class='textbox' style='width:250px'>
$editlist</select>
<input type='submit' name='edit' value='".$locale['MPP409']."' class='button'>
<input type='submit' name='delete' value='".$locale['MPP410']."' onclick='return DeleteNews()' class='button'>
</center>
</form>\n";
	closetable();
	tablebreak();
	if (isset($_POST['edit'])) {
		$result = dbquery("SELECT * FROM ".$db_prefix."memberpp_blog WHERE news_id='$news_id'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			$subject = $data['news_subject'];
			$body = phpentities(stripslashes($data['news_news']));
			if ($data['news_start']>0) $news_start = getdate($data['news_start']);
			if ($data['news_end']>0) $news_end = getdate($data['news_end']);
			$breaks = ($data['news_breaks'] == "y" ? " checked" : "");
			$comments = ($data['news_allow_comments'] == "1" ? " checked" : "");
			$ratings = ($data['news_allow_ratings'] == "1" ? " checked" : "");
			$news_visibility = $data['news_visibility'];
				
}
	}
	if (isset($news_id)) {
		$action = FUSION_SELF."?news_id=$news_id";
		opentable($locale['MPP400']);
	} else {
		if (!isset($_POST['preview'])) {
			$subject = "";
			$body = "";
			$body2 = "";
			$breaks = " checked";
			$comments = " checked";
			$ratings = " checked";
			$news_visibility = 0;
		}
		$action = FUSION_SELF;
		opentable($locale['MPP404']);
	}
	$image_files = makefilelist(IMAGES_N, ".|..|index.php", true);
	$image_list = makefileopts($image_files);
	$visibility_opts = ""; $sel = "";
	$user_groups = getusergroups();
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($news_visibility == $user_group['0'] ? " selected" : "");
		$visibility_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "<form name='inputform' method='post' action='$action' onSubmit='return ValidateForm(this);'>
<table align='center' cellspacing='0' cellpadding='0'>
<tr>
<td width='100' class='tbl'>".$locale['MPP411']."</td>
<td width='80%' class='tbl'><input type='text' name='subject' value='$subject' class='textbox' style='width: 250px'></td>
</tr>
<tr>
<td valign='top' width='100' class='tbl'>".$locale['MPP412']."</td>
<td width='80%' class='tbl'><textarea name='body' id='body' cols='95' rows='25' class='textbox'>$body</textarea></td>
</tr>

<tr>
<td class='tbl'>".$locale['MPP422']."</td>
<td class='tbl'><select name='news_visibility' class='textbox'>
$visibility_opts</select></td>
</tr>
<tr>
<td class='tbl'></td><td class='tbl'>
<input type='checkbox' name='line_breaks' value='yes'$breaks> ".$locale['MPP417']."<br>
<input type='checkbox' name='news_comments' value='yes' onClick='SetRatings();'$comments> ".$locale['MPP423']."<br>
<input type='checkbox' name='news_ratings' value='yes'$ratings> ".$locale['MPP424']."<br>

</td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'><br>
<input type='submit' name='preview' value='".$locale['MPP418']."' class='button'>
<input type='submit' name='save' value='".$locale['MPP419']."' class='button'></td>
</tr>
</table>
</form>\n";

	closetable();


function getfiles($folder){

$handle = opendir($folder);
        while ($file = readdir($handle)) {
                if (!in_array($file, array(".", "..", "/", "index.php"))) $filelist[] = $file;
        }
        closedir($handle);
        if (count($filelist)) sort($filelist);
        $i = 0;
        while ($filelist[$i]!="") {
                $files .= "<option value='".$filelist[$i]."'$sel>".$filelist[$i]."</option>\n";
                $i++;
        }
        return $files;
}


$user_folder = INFUSIONS."member_pages/userimages/blogimg/".$userdata['user_id']."/";
$misc_folder = INFUSIONS."member_pages/clippartimages/Misc/";
$div_folder = INFUSIONS."member_pages/clippartimages/Dividers/";

$user_list = @getfiles($user_folder);
$misc_list = @getfiles($misc_folder);
$div_list = @getfiles($div_folder);

opentable(Klippart);
echo "<center><select name='insertimagediv' class='textbox' style='margin-top:5px;' onChange=\"insertHTML('<img src=\'".$settings['siteurl']."infusions/member_pages/clippartimages/Dividers/' + this.options[this.selectedIndex].value + '\' style=\'margin:5px;\' align=\'left\'>');this.selectedIndex=0;\">
<option value=''>".$locale['mppacr103']."</option>								
$div_list</select>";


echo "<select name='insertmisc' class='textbox' style='margin-top:5px;' onChange=\"insertHTML('<img src=\'".$settings['siteurl']."infusions/member_pages/clippartimages/misc/' + this.options[this.selectedIndex].value + '\' style=\'margin:5px;\' align=\'left\'>');this.selectedIndex=0;\">
<option value=''>".$locale['mppacr104']."</option>
$misc_list</select>";

echo "<select name='insertuserimg' class='textbox' style='margin-top:5px;' onChange=\"insertHTML('<img src=\'".$settings['siteurl']."infusions/member_pages/userimages/blogimg/".$userdata['user_id']."/' + this.options[this.selectedIndex].value + '\' style=\'margin:5px;\' align=\'left\'>');this.selectedIndex=0;\">
<option value=''>".$locale['mppacr105']."</option>
$user_list</select>";

closetable();
echo $locale['mppacr107'];
include INFUSIONS."member_pages/blog/images_upload.php";

echo "</td>\n";
	echo "<script language='JavaScript'>
function DeleteNews() {
	return confirm('".$locale['MPP551']."');
}
function ValidateForm(frm) {
	if(frm.subject.value=='') {
		alert('".$locale['MPP550']."');
		return false;
	}
}
function SetRatings() {
	if (inputform.news_comments.checked == false) {
		inputform.news_ratings.checked = false;
		inputform.news_ratings.disabled = true;
	} else {
		inputform.news_ratings.disabled = false;
	}
}
</script>\n";
}

echo "</td>\n";
$read_settingsmpp = dbquery("SELECT * FROM ".$db_prefix."memberpp_site_settings");
if (dbrows($read_settingsmpp) != 0) {
$settingsmpp = dbarray($read_settingsmpp);

$sideright = $settingsmpp['sideright'];

}
if ($sideright == "1"){
require_once "../side_right.php";
}
else  {
require_once "../../../side_right.php";
}
require_once BASEDIR."footer.php";
?>
<script language="JavaScript" type="text/javascript">
<!--
advanced();
//-->
</script>