<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Made for PHP-Fusion v. 6.0 by:
| janmol/janm@janm.dk 
+-----------------------------------------------------*/

require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (!defined("LANGUAGE")) {
// PHPFusion environment
$this_lang =  str_replace("/", "", LOCALESET);
	if (file_exists(INFUSIONS."member_pages/calendar/locale/".$this_lang.".php")) {
	   include INFUSIONS."member_pages/calendar/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."member_pages/calendar/locale/English.php";
	}
        } else {
// mFusion environment
$this_lang =  LANGUAGE;
	if (file_exists(INFUSIONS."member_pages/calendar/locale/".$this_lang.".php")) {
	   include INFUSIONS."member_pages/calendar/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."member_pages/calendar/locale/English.php";
	}
}


$today = getdate();
$m_year = $today['year'];

//Mder scriptet en vrdi for m_month, skal der dannes vrdier p nste og foregende
if (isset ($m_month)) {
	$month_p = $m_month - 1;
	$month_n = $m_month + 1;
}

//Vi stter kun rsvrdier og mnedsvrdier, hvis de ikke er sat i forvejen
//dvs. den frste gang, siden kaldes
if ($m_month == 0) {
//En rsdefinition til foregende
    $m_year_p = $today['year'];
//En radefinition til nste
    $m_year_n = $today['year'];
    $m_month = $today['mon'];
    $m_year = $today['year'];
    $m_day = $today['mday'];
    $monat = $m_month;
    
//En anvndardefinition till privata meddelande
  $user_id = $userdata['user_id'];

//Det her sker kun frste gang - nste gang har bde month_p og
//month_n en vrdi. Og s skal der bare tlles op og ned
    $month_p = $monat - 1;
    $month_n = $monat + 1;
}

//Omstter mnedsnavn til tekst - det gr vi altid
$months = explode("|", $locale['months']);
$m_text = $months[$monat];

if ($m_month >= 13) {
	$m_year = $today['year'];
	$kontrol = $m_month / 12;
	$add = (int)$kontrol;
	$m_year = $m_year + $add;
	$m_month = $m_month - 12;
}

if ($m_month > 13) {
	$m_month = $m_month - 12;
}

//Nu skal vi lige have lavet en variabel, som vi bruger
//til at f dannet mnedens tekst-navn
$c_month = $m_month;
// $m_text = strtolower($months[$c_month]);
$m_text = $months[$c_month];
$i = 0;

//Vi stter bde mned og r p som variable ved genkald af show_event
//Og viser kun fdselsdage, hvis opstningen er til det


//Fr navigationen dannes, skal vi lige have fundet ud af, hvilke mneder
//der er privata arrangementer i ... hvis vi kan
if (iMEMBER) {
	for ($i=1; $i<=12; $i++) {
		$result_arr = dbquery("SELECT monat FROM ".$db_prefix."memberpp_kalender WHERE user_id=".$userdata['user_id']." AND privat = 'Y' AND jahr=".$m_year." AND monat=".$i."");
		if (dbrows($result_arr) != 0) {
		   $month[$i] = "<span style='color:#f00;'># </span>";
		}
	}
}

//Fr navigationen dannes, skal vi lige have fundet ud af, hvilke mneder
//der er arrangementer i ... hvis vi kan
for ($i=1; $i<=12; $i++) {
	$result_arr = dbquery("SELECT monat FROM ".$db_prefix."memberpp_kalender WHERE privat = 'N' AND jahr=".$m_year." AND monat=".$i."");
	if (dbrows($result_arr) != 0) {
	   $month[$i] .= "<span style='color:#f00;'>* </span>";
	}
}

//Navigation
if ($m_month != 0) {
opentable($locale['k164']);
echo "<table width='100%' id='table1'>";
echo "<tr><td align='center' class='button' width='173'><a href='".FUSION_SELF."?m_month=$month_p&m_year=$m_year'>".$locale['k165']."<a></td><td class='button' width='80' align='center'><a href='".FUSION_SELF."?monat=0'>".$locale['k154']."<a></td><td class='button' align='center' width='141'><a href='".FUSION_SELF."?m_month=$month_n&m_year=$m_year'>".$locale['k166']."<a></td></tr>";
echo "</table>";
echo "<table border='0' width='100%' id='table_m'>

<tr>
	<td align='center' class='button'>".$month[1]."<a href='".FUSION_SELF."?m_month=1&m_year=".$m_year."'>".$locale['k20']."</a></td>
	<td align='center' class='button'>".$month[2]."<a href='".FUSION_SELF."?m_month=2&m_year=".$m_year."'>".$locale['k21']."</a></td>
	<td align='center' class='button'>".$month[3]."<a href='".FUSION_SELF."?m_month=3&m_year=".$m_year."'>".$locale['k22']."</a></td>
	<td align='center' class='button'>".$month[4]."<a href='".FUSION_SELF."?m_month=4&m_year=".$m_year."'>".$locale['k23']."</a></td>
	<td align='center' class='button'>".$month[5]."<a href='".FUSION_SELF."?m_month=5&m_year=".$m_year."'>".$locale['k24']."</a></td>
	<td align='center' class='button'>".$month[6]."<a href='".FUSION_SELF."?m_month=6&m_year=".$m_year."'>".$locale['k25']."</a></td>
</tr>
<tr>
	<td align='center' class='button'>".$month[7]."<a href='".FUSION_SELF."?m_month=7&m_year=".$m_year."'>".$locale['k26']."</a></td>
	<td align='center' class='button'>".$month[8]."<a href='".FUSION_SELF."?m_month=8&m_year=".$m_year."'>".$locale['k27']."</a></td>
	<td align='center' class='button'>".$month[9]."<a href='".FUSION_SELF."?m_month=9&m_year=".$m_year."'>".$locale['k28']."</a></td>
	<td align='center' class='button'>".$month[10]."<a href='".FUSION_SELF."?m_month=10&m_year=".$m_year."'>".$locale['k29']."</a></td>
	<td align='center' class='button'>".$month[11]."<a href='".FUSION_SELF."?m_month=11&m_year=".$m_year."'>".$locale['k30']."</a></td>
	<td align='center' class='button'>".$month[12]."<a href='".FUSION_SELF."?m_month=12&m_year=".$m_year."'>".$locale['k31']."</a></td>
	</tr>
</table>";
closetable();
}

tablebreak();

if ($m_month != 0) {
$result_vis = dbquery("SELECT * FROM ".$db_prefix."memberpp_kalender WHERE privat = 'N' AND jahr >= $m_year AND monat = $m_month AND ".groupaccess('cat_access')." ORDER BY (tag+0) DESC");
opentable($locale['k168'] . $m_text . " " . $m_year);
echo "<table width='100%' id='table1'>";
$rows = dbrows($result_vis);
if ($rows == 0) {
echo "<tr><td>".$locale['k170']."</td></tr>";
}
while ($data_vis = dbarray($result_vis)) {
	$day = $data_vis['tag'];
	$month = $data_vis['monat'];
	$dayend = $data_vis['tagend'];
	$monthend = $data_vis['monatend'];
	$title = $data_vis['title'];
	$text = $data_vis['text'];
	$hours = $data_vis['stunden'];
	$minuts = $data_vis['minuten'];
	$time = $hours . ":" . $minuts;
	$hoursend = $data_vis['stundenend'];
	$minutsend = $data_vis['minutenend'];
	$timeend = $hoursend . ":" . $minutsend;
	$year = $data_vis['jahr'];
echo "<tr>
		<td colspan='4'><img src='".INFUSIONS."member_pages/img/star.gif'> <font size='2pt'><b>$title</b></font></td>
	</tr>
	<tr>
		<td width='10%' class='textbox'>".$locale['k162']."</td>
		<td width='13%' class='textbox'><b>$day-$month-$year</td>
		<td width='11%' class='textbox'>".$locale['k163']."</td>
		<td width='18%' class='textbox'><b>$time</td>
		<td width='10%' class='textbox'>".$locale['k210']."</td>
		<td width='13%' class='textbox'><b>$dayend-$monthend-$year</td>
		<td width='11%' class='textbox'>".$locale['k211']."</td>
		<td width='18%' class='textbox'><b>$timeend</td>
		</tr>
	<tr>
		<td width='98%' colspan='8' class='textbox'>$text</td>
	</tr>";
}
echo "</table>";
closetable();
}

if ($m_month == 0) {
$result_vis = dbquery("SELECT * FROM ".$db_prefix."memberpp_kalender WHERE privat = 'N' AND jahr >= $m_year AND monat >= $m_month AND tag >= $m_day ORDER BY (tag+0) LIMIT 0,5");
opentable($locale['k161']);
echo "<table width='100%' id='table1'>";
$rows = dbrows($result_vis);
if ($rows == 0) {
echo "<tr><td>".$locale['k170']."</td></tr>";
}
echo "<table width='100%' id='table1'><tr>";
while ($data_vis = dbarray($result_vis)) {
	$day = $data_vis['tag'];
	$month = $data_vis['monat'];
	$title = $data_vis['title'];
	$text = $data_vis['text'];
	$hours = $data_vis['stunden'];
	$minuts = $data_vis['minuten'];
	$time = $hours . ":" . $minuts;
	$year = $data_vis['jahr'];
echo "<tr>
		<td colspan='4'><img src='".INFUSIONS."member_pages/img/star.gif'> <font size='2pt'><b>$title</b></font></td>
	</tr>
<tr>
		<td width='10%' class='textbox'>".$locale['k162']."</td>
		<td width='13%' class='textbox'><b>$day-$month-$year</td>
		<td width='11%' class='textbox'>".$locale['k163']."</td>
		<td width='18%' class='textbox'><b>$time</td>
		<td width='10%' class='textbox'>".$locale['k210']."</td>
		<td width='13%' class='textbox'><b>$dayend-$monthend-$year</td>
		<td width='11%' class='textbox'>".$locale['k211']."</td>
		<td width='18%' class='textbox'><b>$timeend</td>
		</tr>
	<tr>
		<td width='98%' colspan='8' class='textbox'>$text</td>
	</tr>";
}
echo "</table>";
closetable();
}
//Start privat
tablebreak();
	if (iMEMBER) {
if ($m_month != 0) {
$result_vis = dbquery("SELECT * FROM ".$db_prefix."memberpp_kalender WHERE user_id=".$userdata['user_id']." AND privat = 'Y' AND jahr >= $m_year AND monat = $m_month ORDER BY (tag+0)");
opentable($locale['k212'] . $m_text . " " . $m_year);
echo "<table width='100%' id='table1'>";
$rows = dbrows($result_vis);
if ($rows == 0) {
echo "<tr><td>".$locale['k170']."</td></tr>";
}
while ($data_vis = dbarray($result_vis)) {
	$day = $data_vis['tag'];
	$month = $data_vis['monat'];
	$title = $data_vis['title'];
	$text = $data_vis['text'];
	$hours = $data_vis['stunden'];
	$minuts = $data_vis['minuten'];
	$time = $hours . ":" . $minuts;
	$year = $data_vis['jahr'];
echo "<tr>
		<td colspan='4'><img src='".INFUSIONS."member_pages/img/privat.gif'> <font size='2pt'><b>$title</b></font></td>
	</tr>
 <tr>
		<td width='10%' class='textbox'>".$locale['k162']."</td>
		<td width='13%' class='textbox'><b>$day-$month-$year</td>
		<td width='11%' class='textbox'>".$locale['k163']."</td>
		<td width='18%' class='textbox'><b>$time</td>
		<td width='10%' class='textbox'>".$locale['k210']."</td>
		<td width='13%' class='textbox'><b>$dayend-$monthend-$year</td>
		<td width='11%' class='textbox'>".$locale['k211']."</td>
		<td width='18%' class='textbox'><b>$timeend</td>
		</tr>
	<tr>
		<td width='98%' colspan='8' class='textbox'>$text</td>
	</tr>";
}
echo "</table>";
closetable();
}

if ($m_month == 0) {
$result_vis = dbquery("SELECT * FROM ".$db_prefix."memberpp_kalender WHERE user_id = ".$userdata['user_id']." AND privat = 'Y' AND jahr >= $m_year AND monat >= $m_month AND tag >= $m_day ORDER BY (tag+0) LIMIT 0,5");
echo "<table width='100%' id='table1'>";
$rows = dbrows($result_vis);
if ($rows == 0) {
echo $locale['k170'];
}
echo "<table width='100%' id='table1'><tr>";
while ($data_vis = dbarray($result_vis)) {
	$day = $data_vis['tag'];
	$month = $data_vis['monat'];
	$title = $data_vis['title'];
	$text = $data_vis['text'];
	$hours = $data_vis['stunden'];
	$minuts = $data_vis['minuten'];
	$time = $hours . ":" . $minuts;
	$year = $data_vis['jahr'];
echo "<tr>
		<td colspan='4'><img src='".INFUSIONS."member_pages/img/privat.gif'> <font size='2pt'><b>$title</b></font></td>
	</tr>
 <tr>
		<td width='10%' class='textbox'>".$locale['k162']."</td>
		<td width='13%' class='textbox'><b>$day-$month-$year</td>
		<td width='11%' class='textbox'>".$locale['k163']."</td>
		<td width='18%' class='textbox'><b>$time</td>
		<td width='10%' class='textbox'>".$locale['k210']."</td>
		<td width='13%' class='textbox'><b>$dayend-$monthend-$year</td>
		<td width='11%' class='textbox'>".$locale['k215']."</td>
		<td width='18%' class='textbox'><b>$timeend</td>
		</tr>
	<tr>
		<td width='98%' colspan='8' class='textbox'>$text</td>
	</tr>";
}
echo "</table>";
closetable();
}
}

// Birthday List
if ($show_where == "Bottom" && $fd == 1) {
	if ($show_for == "Member") {
		if (iMEMBER) {
			include "calendar_birthday_list.php";
		}
	} else if ($show_for == "Guest") {
		include "calendar_birthday_list.php";
	}
}

$read_settingsmpp = dbquery("SELECT * FROM ".$db_prefix."memberpp_site_settings");
if (dbrows($read_settingsmpp) != 0) {
$settingsmpp = dbarray($read_settingsmpp);

$sideright = $settingsmpp['sideright'];

}
if ($sideright == "1"){
require_once "../side_right.php";

}
else  {
require_once "../../../side_right.php";
}

require_once BASEDIR."footer.php";
?>
