<?php
require_once "../../../maincore.php";
require_once "../../../subheader.php";
require_once "../../../side_left.php";
?>
<script type="text/javascript" language="JavaScript">
<!--

//XMLhttp variable will hold the XMLHttpRequest object
var xmlhttp = false;
        
// If the user is using Mozilla/Firefox/Safari/etc
if (window.XMLHttpRequest) {
        //Intiate the object
        xmlhttp = new XMLHttpRequest();
        //Set the mime type
        xmlhttp.overrideMimeType('text/xml');
} else if (window.ActiveXObject) {
        //Intiate the object
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
}

function preSearch() {
    //Put the form data into a variable
	var theQuery = document.getElementById('query').value;
	
    //If the form data is *not* blank, query the DB and return the results
	if(theQuery !== "") {
        //Change the content of the "result" DIV to "Searching..."
        //This gives our user confidence that the script is working if it takes a moment for the result to be returned. However the user will likely never see this...
		document.getElementById('result').innerHTML = "Searching...";
		
        //This sets a variable with the URL (and query strings) to our PHP script
		var url = 'ajax.php?q=' + theQuery;
        //Open the URL above "asynchronously" (that's what the "true" is for) using the GET method
		xmlhttp.open('GET', url, true);
        //Check that the PHP script has finished sending us the result
		xmlhttp.onreadystatechange = function() {
			if(xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                //Replace the content of the "result" DIV with the result returned by the PHP script
				document.getElementById('result').innerHTML = xmlhttp.responseText + ' ';
			} else {
                //If the PHP script fails to send a response, or sends back an error, display a simple user-friendly notification
				document.getElementById('result').innerHTML = 'Error: preSearch Failed!';
			}
		};
		xmlhttp.send(null);  
	}
}

//-->
</script>
<body>

<div id="result">&nbsp;</div>

<label for="query"><strong>Search:</strong>&nbsp;<input type="text" name="query" id="query" onKeyUp="preSearch()" /></label>&nbsp;
</form>


</body>
</html>

<?php

require_once ".../../../side_right.php";
require_once "../../../footer.php";
?>